## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionCaseSearchContent

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface ValueExpressionCaseSearchContent

extends SQLQueryObject

A representation of the model object 'SQL Value Expression Case Search Content'.

The following features are supported:

- `Value Expr`
- `Search Condition`
- `Value Expr Case Search`

See Also:
  `SQLQueryModelPackage.getValueExpressionCaseSearchContent()`

Method Summary
`QuerySearchCondition` `getSearchCondition()` Returns the value of the 'Search Condition' containment reference.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`ValueExpressionCaseSearch` `getValueExprCaseSearch()` Returns the value of the 'Value Expr Case Search' container reference.
`void` `setSearchCondition(QuerySearchCondition value)` Sets the value of the '`Search Condition`' containment reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.
`void` `setValueExprCaseSearch(ValueExpressionCaseSearch value)` Sets the value of the '`Value Expr Case Search`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Case Search Content`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCaseSearchContent_ValueExpr()`, `QueryValueExpression.getValueExprCaseSearchContent()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

### getSearchCondition

    QuerySearchCondition getSearchCondition()

  Returns the value of the 'Search Condition' containment reference. It is bidirectional and its opposite is '`Value Expr Case Search Content`'.

  If the meaning of the 'Search Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Search Condition' containment reference.
  See Also:
    `setSearchCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getValueExpressionCaseSearchContent_SearchCondition()`, `QuerySearchCondition.getValueExprCaseSearchContent()`

### setSearchCondition

    void setSearchCondition(QuerySearchCondition value)

  Sets the value of the '`Search Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Search Condition' containment reference.
  See Also:
    `getSearchCondition()`

### getValueExprCaseSearch

    ValueExpressionCaseSearch getValueExprCaseSearch()

  Returns the value of the 'Value Expr Case Search' container reference. It is bidirectional and its opposite is '`Search Content List`'.

  If the meaning of the 'Value Expr Case Search' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Search' container reference.
  See Also:
    `setValueExprCaseSearch(ValueExpressionCaseSearch)`, `SQLQueryModelPackage.getValueExpressionCaseSearchContent_ValueExprCaseSearch()`, `ValueExpressionCaseSearch.getSearchContentList()`

### setValueExprCaseSearch

    void setValueExprCaseSearch(ValueExpressionCaseSearch value)

  Sets the value of the '`Value Expr Case Search`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Search' container reference.
  See Also:
    `getValueExprCaseSearch()`